Application info

Returns application meta information, current rating and category ranking (app store only)
for specified country

To fetch latest reviews use the dedicated /api/app-reviews endpoint
(returns up to 100 reviews per page with pagination).

GET /api/app-all-info

Query parameters

Mandatory

  • storetype - store type (appstore or googleplay)

  • storeid - store id of app (for example com.google.android.apps.maps or 585027354)

  • country - country ISO code (ex.: US, RU, GB etc.)

Optional

  • timestamp (default: now) - timestamp of search results in ISO format (YYYY-MM-DDThh:mmTZD, ex.: 2017-07-16T19:20%2B03:00) Note that plus sign is replaced with %2B

  • devicetype - device type (iphone or ipad)

Device type is available for App Store only

Example request

GET /api/app-all-info?country=RU&storetype=appstore&storeid=564177498&devicetype=iphone

If we have all required information for this request, you will get following response:

Status: 200 OK

{
    "id": <string>,  // request id for technical support purposes
    "data": {
        "timestamp": <string>,  // ISO format timestamp of results,
        "storetype": <string>,  // same as specified in query params,
        "storeid": <string>,  // same as specified in query params,
        "country": <string>,  // same as specified in query params,
        "devicetype": <string>,  // same as specified in query params or null,
        "results": {
            "meta": {
                "description": <string>,
                "icon": <string>,  // url
                "is_on_market": <boolean>,  // always true here: apps absent from the store answer 204 instead
                "promotext": <string>,
                "screenshots": {
                    <string>: [<string>]  // type: urls
                },
                "short_description": <string>,
                "title": <string>
            },
            "rating": <float>,
            "category_ranking": {
                <string>: {  // country code
                    <string>: {  // ISO format date
                        <string>: {  // store's category id
                            <string>: <integer>,  // "free" or "paid": rank
                            "title": <string>,  // store's category title
                        }
                    }
                },
            }
        }
    }
}

If we need to download some additional data from store’s servers, you will get following response:

Status: 202 Accepted

{
    "key": <string>,  //request key for technical support purposes
    "detail": "Result is preparing, try in 30 seconds later"
}

So, try in 30 seconds later and if response will be ready you will get full data.

If we know for sure the application is not present on the store for the requested country (the store was actually checked and the app locale is empty), you will get:

Status: 204 No Content

This is a definitive fresh answer — unlike 202 there is no point in retrying.
Such requests are not charged.